Retrieves all the user week approval
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_week_approval| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key of User |
globally unique identifier |
Required |
| approved_date_start |
Starting date of the approved range |
date |
Required |
| approved_date_end |
Ending date of the approved range |
date |
Required |
| date_approval |
Date+Time when the approval occured |
date |
Required |
| is_approved |
Indicate if the selection (range) is approved |
boolean |
Required |
| approved_by_user_id |
Foreign key of user,who did the approval |
globally unique identifier |
Required |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "6e50b7e7-5a22-4472-ae08-5a4658004191",
"user_id": "8f44ee4f-3283-4ddf-95b7-7dab9c43c7a1",
"approved_date_start": "2026-06-10T07:58:07.1569233+00:00",
"approved_date_end": "2026-06-10T07:58:07.1569233+00:00",
"date_approval": "2026-06-10T07:58:07.1569233+00:00",
"is_approved": true,
"approved_by_user_id": "e8d05c12-c307-480b-b391-b2d21119ef74",
"modified_dateutc": "2026-06-10T07:58:07.1569233+00:00"
}